summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorMatthias Schiffer <matthias@gamezock.de>2008-09-13 05:12:28 +0200
committerMatthias Schiffer <matthias@gamezock.de>2008-09-13 05:12:28 +0200
commitfd9b1506a3b3858235e91cce45805f6d54caae4f (patch)
tree2b5ebc80ae16f850094df44f27b6e7d1b254a975 /configure
parentd710e7dc5e8f3895f5d1aa6bd1db0ef3151af8ca (diff)
downloadmad-fd9b1506a3b3858235e91cce45805f6d54caae4f.tar
mad-fd9b1506a3b3858235e91cce45805f6d54caae4f.zip
configure.ac angepasst, damit nicht alle Binaries mit allen Libs gelinkt werden
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure79
1 files changed, 35 insertions, 44 deletions
diff --git a/configure b/configure
index d9b8b58..bffc34c 100755
--- a/configure
+++ b/configure
@@ -883,6 +883,8 @@ sigc_CFLAGS
sigc_LIBS
PCRECPP_CFLAGS
PCRECPP_LIBS
+GSSAPI_LIBS
+READLINE_LIBS
LIBOBJS
LTLIBOBJS'
ac_subst_files=''
@@ -5182,7 +5184,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 5185 "configure"' > conftest.$ac_ext
+ echo '#line 5187 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7537,11 +7539,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7540: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7542: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7544: \$? = $ac_status" >&5
+ echo "$as_me:7546: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7827,11 +7829,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7830: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7832: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7834: \$? = $ac_status" >&5
+ echo "$as_me:7836: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7931,11 +7933,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7934: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7936: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7938: \$? = $ac_status" >&5
+ echo "$as_me:7940: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -10308,7 +10310,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10311 "configure"
+#line 10313 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10408,7 +10410,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10411 "configure"
+#line 10413 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12809,11 +12811,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12812: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12814: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12816: \$? = $ac_status" >&5
+ echo "$as_me:12818: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12913,11 +12915,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12916: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12918: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12920: \$? = $ac_status" >&5
+ echo "$as_me:12922: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14511,11 +14513,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14514: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14516: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14518: \$? = $ac_status" >&5
+ echo "$as_me:14520: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14615,11 +14617,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14618: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14620: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14622: \$? = $ac_status" >&5
+ echo "$as_me:14624: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16835,11 +16837,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16838: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16840: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16842: \$? = $ac_status" >&5
+ echo "$as_me:16844: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17125,11 +17127,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17130: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:17132: \$? = $ac_status" >&5
+ echo "$as_me:17134: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17229,11 +17231,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17232: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:17236: \$? = $ac_status" >&5
+ echo "$as_me:17238: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -20268,8 +20270,8 @@ echo "${ECHO_T}yes" >&6; }
fi
CPPFLAGS="$GnuTLS_CFLAGS $sigc_CFLAGS $PCRECPP_CFLAGS $CPPFLAGS"
-LIBS="$GnuTLS_LIBS $sigc_LIBS $PCRECPP_LIBS $LIBS"
+ORIG_LIBS=$LIBS
{ echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi_krb5" >&5
echo $ECHO_N "checking for gss_init_sec_context in -lgssapi_krb5... $ECHO_C" >&6; }
@@ -20333,15 +20335,10 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_krb5_gss_init_sec_context" >&5
echo "${ECHO_T}$ac_cv_lib_gssapi_krb5_gss_init_sec_context" >&6; }
if test $ac_cv_lib_gssapi_krb5_gss_init_sec_context = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBGSSAPI_KRB5 1
-_ACEOF
-
- LIBS="-lgssapi_krb5 $LIBS"
+ GSSAPI_LIBS=-lgssapi_krb5
else
-
-{ echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi" >&5
+ { echo "$as_me:$LINENO: checking for gss_init_sec_context in -lgssapi" >&5
echo $ECHO_N "checking for gss_init_sec_context in -lgssapi... $ECHO_C" >&6; }
if test "${ac_cv_lib_gssapi_gss_init_sec_context+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20403,12 +20400,7 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_gss_init_sec_context" >&5
echo "${ECHO_T}$ac_cv_lib_gssapi_gss_init_sec_context" >&6; }
if test $ac_cv_lib_gssapi_gss_init_sec_context = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBGSSAPI 1
-_ACEOF
-
- LIBS="-lgssapi $LIBS"
-
+ GSSAPI_LIBS=-lgssapi
else
{ { echo "$as_me:$LINENO: error: Test for GSSAPI library failed." >&5
echo "$as_me: error: Test for GSSAPI library failed." >&2;}
@@ -20417,7 +20409,6 @@ fi
fi
-
{ echo "$as_me:$LINENO: checking for readline in -lreadline" >&5
echo $ECHO_N "checking for readline in -lreadline... $ECHO_C" >&6; }
if test "${ac_cv_lib_readline_readline+set}" = set; then
@@ -20480,11 +20471,7 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_readline_readline" >&5
echo "${ECHO_T}$ac_cv_lib_readline_readline" >&6; }
if test $ac_cv_lib_readline_readline = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBREADLINE 1
-_ACEOF
-
- LIBS="-lreadline $LIBS"
+ READLINE_LIBS=-lreadline
else
{ { echo "$as_me:$LINENO: error: Test for GNU readline library failed." >&5
@@ -20493,6 +20480,8 @@ echo "$as_me: error: Test for GNU readline library failed." >&2;}
fi
+LIBS=$ORIG_LIBS
+
# Checks for header files.
@@ -22916,11 +22905,13 @@ sigc_CFLAGS!$sigc_CFLAGS$ac_delim
sigc_LIBS!$sigc_LIBS$ac_delim
PCRECPP_CFLAGS!$PCRECPP_CFLAGS$ac_delim
PCRECPP_LIBS!$PCRECPP_LIBS$ac_delim
+GSSAPI_LIBS!$GSSAPI_LIBS$ac_delim
+READLINE_LIBS!$READLINE_LIBS$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 19; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 21; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5